In light of COVID-19 precaution measures, we remind that all ImmuniWeb products can be easily configured and safely paid online without any human contact or paperwork.

Total Tests:
Stay in Touch

Weekly newsletter on AI, Application Security & Cybercrime


Your data will stay confidential Private and Confidential

Cross-Site Scripting (XSS) in Ilch CMS

Advisory ID:HTB23203
Product:Ilch CMS
Vendor:http://ilch.de
Vulnerable Versions:2.0 and probably prior
Tested Version:2.0
Advisory Publication:February 12, 2014 [without technical details]
Vendor Notification:February 12, 2014
Vendor Fix:February 18, 2014
Public Disclosure:March 5, 2014
Vulnerability Type:Cross-Site Scripting [CWE-79]
CVE Reference:CVE-2014-1944
Risk Level:Medium
CVSSv2 Base Score:5 (AV:N/AC:L/Au:N/C:N/I:P/A:N)
Solution Status:Fixed by Vendor
Discovered and Provided:High-Tech Bridge Security Research Lab
 

Advisory Details:

High-Tech Bridge Security Research Lab discovered vulnerability in Ilch CMS, which can be exploited to perform Cross-Site Scripting (XSS) attacks against users and administrators of vulnerable application.

1) Cross-Site Scripting (XSS) in Ilch CMS: CVE-2014-1944
The vulnerability exists due to insufficient sanitisation of user-supplied data in "text" HTTP POST parameter passed to "/index.php/guestbook/index/newentry" URL. A remote unauthenticated user can send a specially crafted HTTP POST request, which allows to permanently inject and execute arbitrary HTML and script code in user’s browser in context of the vulnerable website when the victim visits the "http://[host]/index.php/guestbook/index/index" URL.
The exploitation example below uses the JavaScript "alert()" function to display "immuniweb" word:
POST /index.php/guestbook/index/newentry HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
ilch_token=5a528778359d4756b9b8803b48fba18b&name=name&email=email%40e mail.com&homepage=http%3A%2F%2Fsite.com&text=<script>alert('immuniwweb');</s cript>&saveEntry=Submit

How to Detect Cross-Site Scripting Vulnerabilities
Free Website Security Test
  • Non-intrusive GDPR Test
  • Non-intrusive PCI DSS Test
Try Free Test
ImmuniWeb® On-Demand
  • Complete GDPR Audit
  • Complete PCI DSS Audit
  • Remediation Guidelines
  • DevSecOps Integration
Learn More

Solution:
Fixed by vendor on February 18, 2014 directly in the source code without version modification/new release. Update to the version 2.0 released after February 18, 2014.

More Information:
https://github.com/IlchCMS/Ilch-2.0/commit/381e15f39d07d3cdf6aaaa25c0f2321f817935f7
https://github.com/IlchCMS/Ilch-2.0/commit/02bb4953c0e21cb8f20e5e91db5e15a77fe1a5ce


References:
[1] High-Tech Bridge Advisory HTB23203 - https://www.immuniweb.com/advisory/HTB23203 - Cross-Site Scripting (XSS) in Ilch CMS.
[2] Ilch CMS - http://ilch.de - Ilch is an easy to use content management system for clans, communities and homepages.
[3] Common Vulnerabilities and Exposures (CVE) - http://cve.mitre.org/ - international in scope and free for public use, CVE® is a dictionary of publicly known information security vulnerabilities and exposures.
[4] Common Weakness Enumeration (CWE) - http://cwe.mitre.org - targeted to developers and security practitioners, CWE is a formal list of software weakness types.
[5] ImmuniWeb® - Leveraging the power of machine-learning and genius of human brain to deliver the most advanced web application security and penetration testing.
[6] ImmuniWeb® SSLScan - Test your servers for security and compliance with PCI DSS, HIPAA and NIST.
User Comments
Add Comment


Have additional information to submit?
Please feel free to send us any additional information related to this Advisory, such as vulnerable versions, additional exploitation details and conditions, patches and other relevant details.
Ask a Question